package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.collection.Docgrdm;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Botp extends AbstractCommonVo {

    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    private Usr usr;

    private Docgrdm docgrdm;

    @Override
    public void reset() {
        super.reset();
        if (docgrdm == null) {
            docgrdm = new Docgrdm();
        }
        docgrdm.reset();
        if (usr == null) {
            usr = new Usr();
        }
    }
}

